# Contributing to Ethlint
*Thanks for any and all contributions you make to this project!*

## Issues and Feature requests
For all bug reports, feature requests, lint rule suggestions and any other issues, use the [Issue Tracker](https://github.com/duaraghav8/Ethlint/issues/). For inquiries and general discussions, please head to the [Gitter Channel](https://gitter.im/Solium-linter/Lobby).

To track the progress of Ethlint over time, see [Projects](https://github.com/duaraghav8/Ethlint/projects).

## Code
Any change that needs to be [committed](https://git-scm.com/docs/git-commit) to this repository is a *code* change.

- Almost all non-trivial code changes must be accompanied by tests.
- Changes involving features, lint rules or utility methods for developers must be documented.
- All major changes must have a corresponding entry in the Changelog file. See [Keep a Changelog](https://keepachangelog.com/en/1.0.0/) on how to create a good changelog entry.

### Practices
1. Checkout your branch from the `develop` branch and direct all Pull Requests to `develop`.
2. Use `ES6`.
3. Use `const` instead of `let` wherever possible.
4. Avoid the [pyramid](https://cdn-images-1.medium.com/max/1600/1*3lEILqKvoasyVwpdlfVvbw.png) style of closing braces at all cost.
5. Make sure to both lint and test once you're done making all changes. See [documentation](https://ethlint.readthedocs.io/) on how to perform these.
6. If proposing a change that hasn't already been discussed in an issue, please raise an associated issue first. For example, it is best to raise an issue for a Lint rule and discuss it with the developers first to avoid the possibility of waste of effort.

### License
By making any code contributions to Ethlint, you agree that they will be licensed under the MIT License.

## Donations
We currently accept the following payment methods:
- ETH: `0xacc661A56af9793a4437876a52F4Ad3fc3C443d6`

## Bounty sponsorship
Please get in touch over our Gitter channel or shoot an email at duaraghav8@gmail.com.
